xcb_dbe_deallocate_back_buffer(3)

NAME
xcb_dbe_deallocate_back_buffer - Deallocates a back buffer

SYNOPSIS
#include <xcb/dbe.h>

  Request function

xcb_void_cookie_t xcb_dbe_deallocate_back_buffer(xcb_connection_t *conn, xcb_dbe_back_buffer_t buffer);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

buffer
    The back buffer to deallocate.

DESCRIPTION
Deallocates the given buffer. If buffer is an invalid id, a BadBuffer error is returned. Because a window may have allocated multiple back buffer ids, the back buffer itself is not deleted until all these ids are deallocated by this call.

RETURN VALUE
Returns an xcb_void_cookie_t. Errors (if any) have to be handled in the event loop. If you want to handle errors directly with xcb_request_check instead, use xcb_dbe_deallocate_back_buffer_checked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO
xcb-requests(3)

AUTHOR
Generated from dbe.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.